Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Unassign flows by Flow Instance ID (/v2/flows/prospects/unassign-flows-by-instance-id)

Prev Next
Post
/v2/flows/prospects/unassign-flows-by-instance-id

This endpoint lets you specify flow instances to remove prospects from.

A flow instance is created when a prospect is added to a flow. Retrieve the flow instance Id from the /v2/flows/prospects endpoint.

The flow instance Ids the prospect was successfully removed from are returned in the response. If a prospect could not be removed from the flow for any reason, the Id isn’t returned in the response and the prospect is still assigned to the flow.

You can remove prospects from up to 200 flows in a single request.

Required authorizaton scope: 'api:flows:write'.

Body parameters
object

Unassign flows by Flow Instance ID request.

flowInstanceIds
Array of string Required

The unique identifiers of the flows that prospects should be removed from.

Example[ "234599484848423" ]
string
unassignedByUserEmail
string

(Optional) The email address of the Gong user requesting to remove prospects from the flow instance. This is not the email of the prospect being removed from the flow.

Exampletest@test.com
Responses
200

Successful response

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
unassignedFlowInstanceIds
Array of string

Set of flow instance ids prospects were successfully removed from.

Example[ "234599484848423" ]
string
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Unauthorized

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string